必火网络安全培训 > 安全漏洞 > 正文

FasterXML jackson-databind远程代码执行漏洞(CVE-2017-15095)

FasterXML jackson-databind远程代码执行漏洞(CVE-2017-15095)


发布日期:2018-02-07
更新日期:2020-09-11

受影响系统:FasterXML jackson-databind < 2.9.1
FasterXML jackson-databind <  2.8.10描述:CVE(CAN) ID: CVE-2017-15095

FasterXML Jackson是美国FasterXML公司的一款适用于Java的数据处理工具。jackson-databind是其中的一个具有数据绑定功能的组件。
FasterXML jackson-databind 2.8.10之前版本和2.9.1之前版本存在远程代码执行漏洞。该漏洞源于ObjectMapper的readValue()进行了不安全的反序列化。远程攻击者可利用该漏洞借助特制的数据在系统上执行任意代码。

<**>

建议:厂商补丁:

FasterXML
---------
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/FasterXML/jackson-databind/issues/1737

本文为原创,版权归 必火网络安全培训所有。禁止转载,后果自负。